Author Topic: Might have made and oops!  (Read 1698 times)

aquadad

  • Newbie
  • *
  • Posts: 24
    • View Profile
Might have made and oops!
« on: December 12, 2011, 03:09:42 PM »
So I've been messing around with TD3 in trial. I can no longer access anything in TD2. I thought all the files were shared but it looks like TD3 has taken them all. It may not make a difference as i may purchase TD3 anyway. It's just that my trial ends just before my next tourney.

I'm getting a message upon launch that says "Name TypeError Number: 10-5009 Description: 'MFDB' is undefined message: 'MFDB' is undefined."

Corey Cooper

  • Administrator
  • Hero Member
  • *****
  • Posts: 5380
    • View Profile
Re: Might have made and oops!
« Reply #1 on: December 13, 2011, 10:16:15 AM »
Quote
I thought all the files were shared but it looks like TD3 has taken them all.

In a sense they are.  While TD3 will install distinctly from TD2 (it won't upgrade your existing install of TD2 unless you specifically install TD3 in the same folder as TD2, which it does not do by default), they will use the same Data Store.  This is the main reason the download page has the big red box with the various warnings, the first being "Take a backup".

The error message you are seeing is because your database has been upgraded to the version 3 format.  Version 2 will not understand this format.  You'll need to restore a backup of your data so that version 2 will understand the database (and any other files that were changed, if you did indeed load any tournaments or templates and save them with version 3).

If you didn't follow the instructions and take a backup and you really need access to your database for version 2, email me (support@thetournamentdirector.net) and I'll see what I can do.  It might be possible to "downgrade" your database.  No promises, though, and I can't downgrade saved tournaments or templates.

aquadad

  • Newbie
  • *
  • Posts: 24
    • View Profile
Re: Might have made and oops!
« Reply #2 on: December 13, 2011, 10:58:34 AM »
Thank you! If I purchase TD3 none of this matters correct?!

Corey Cooper

  • Administrator
  • Hero Member
  • *****
  • Posts: 5380
    • View Profile
Re: Might have made and oops!
« Reply #3 on: December 13, 2011, 11:05:19 AM »
Correct.  And still take a backup.  Always take backups.  They're super easy and will save you a lot of grief.

It762

  • Newbie
  • *
  • Posts: 18
    • View Profile
Re: Might have made and oops!
« Reply #4 on: February 05, 2012, 10:38:08 AM »
Hi there!

I have not "installed TD3 yet" and wanted to start TD2.5 yesterday (after a hiatus of almost 1 year) :) Now two things have happened:
 
- Registry information disappeared (it said beta expired) - beta 5 was installed
- and the same MFDB error as above, after that follow up errors show up "problem to load preferences" and "cannot initialize database"
- Then TD quits.

I have updated first to latest 2.5 version to make a new backup but iam unable to do so because i still get the MFDB error and cannot load any DB.

Any idea where these MFDB errors come from?

Magic_fubu

  • Hero Member
  • *****
  • Posts: 1035
    • View Profile
Re: Might have made and oops!
« Reply #5 on: February 05, 2012, 01:13:37 PM »
I remember reading on one of the boards that the beta versions were set with an expiration date, which was done on purpose from my understanding. This may be why you're experiencing the issues that you are.
My cowboys shot down your rockets
---
If you send a request to me please send that you got me from here w/your TD name to confirm. Thanks!

It762

  • Newbie
  • *
  • Posts: 18
    • View Profile
Re: Might have made and oops!
« Reply #6 on: February 06, 2012, 06:56:52 AM »
Ok I just installed 3.1 and the error is gone, so I gues the DB was converted already in the beta ....:)

Corey Cooper

  • Administrator
  • Hero Member
  • *****
  • Posts: 5380
    • View Profile
Re: Might have made and oops!
« Reply #7 on: February 06, 2012, 10:24:31 AM »
The registry information didn't disappear, rather the beta expired as Magic_fubu noted.  All of the 2.6 beta versions did use the new version 3 formats, so yep, the beta version converted your database.  Glad to hear it's working again.